package com.yc.ship.module.trade.framework.annotation;


import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * IP限流
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface TradeRateLimit {
    /**
     * 限流名称
     */
    String name() default "";

    /**
     * 限流数量
     */
    int limitNum() default 1;

    /**
     * 限流时间
     */
    int limitTime() default 1;


}
